VST 3 SDK VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
UMPMessageSystem Struct Reference

`#include <ump.h>`

Inheritance diagram for UMPMessageSystem:

## Public Types
enum class | Status { Reserved = 0xf0 , MIDITimeCode = 0xf1 , SongPositionPointer = 0xf2 , SongSelect = 0xf3 , Reserved2 = 0xf4 , Reserved3 = 0xf5 , TuneRequest = 0xf6 , Reserved4 = 0xf7 , TimingClock = 0xf8 , Reserved5 = 0xf9 , Start = 0xfa , Continue = 0xfb , Stop = 0xfc , Reserved6 = 0xfd , ActiveSensing = 0xfe , Reset = 0xff }

## Public Member Functions
__inline__ | __attribute__ ((__always_inline__)) const expr Status status() const
Public Member Functions inherited from UMPMessage
__inline__ | __attribute__ ((__always_inline__)) const expr MessageType type() const
__inline__ | __attribute__ ((__always_inline__)) const expr size_t messageWordCount() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t group() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte3_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte4_7bits() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte1() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte2() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte3() const
__inline__ | __attribute__ ((__always_inline__)) const expr uint8_t byte4() const

## Additional Inherited Members
Public Attributes inherited from UMPMessage
uint32_t | data
Protected Member Functions inherited from UMPMessage
template<typename T, size_t pos, size_t bits>
__inline__ | __attribute__ ((__always_inline__)) const expr T bitMask() const
template<typename T, size_t pos, size_t bits>
__inline__ | __attribute__ ((__always_inline__)) const expr T value(T data) const
Static Protected Attributes inherited from UMPMessage
static constexpr std::array | wordCounts

## Member Enumeration Documentation

## ◆ Status

enum class Status
| strong

Enumerator
Reserved |
MIDITimeCode |
SongPositionPointer |
SongSelect |
Reserved2 |
Reserved3 |
TuneRequest |
Reserved4 |
TimingClock |
Reserved5 |
Start |
Continue |
Stop |
Reserved6 |
ActiveSensing |
Reset |

## Member Function Documentation

## ◆ __attribute__()

__inline__ __attribute__ | ( | (__always_inline__) |  | ) | const
| inline

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.